#include "ArgParser.hpp"
#include "Helpers/WolframAlpha.hpp"
#include <print>

int main(const int argc, char* argv[]) {
  try {
    ArgParser args;
    args.add("-h", "--help", "Print help", false);
    args.add("-f", "--food", "Specify the food item");
    args.add("-a", "--amount", "Specify the amount (in grams)");

    if (!args.parse(argc, argv)) {
      return 0;
    }

    const auto   food   = args.get<std::string>("--food");
    const double amount = args.get<double>("--amount") / 100;

    WolframAlpha wa(food, amount);

    wa.print();
  } catch (const std::exception& e) {
    std::println(stderr, "Error: {}", e.what());
    return 1;
  } catch (...) {
    std::println(stderr, "Unknown error occurred.");
    return 1;
  }
}
